const setTimeout = require("timers/promises").setTimeout;

const parseScenario = require("./builder").parseScenario;
const request = require("./request").request;

let scenarioFile = `reset_pin current_pin=2222,new_pin=3333\nreset_pin current_pin=3333,new_pin=4444`;

const parsedScenarioFile = scenarioFile.split("\n");

async function execute() {
  for (const work of parsedScenarioFile) {
    const parsedWork = parseScenario(work);

    for (const requestJob of parsedWork) {
      await request(requestJob);
      await setTimeout(requestJob.test.waitNextMenu);
    }
  }
}

execute();
